<a *ngIf="movie; else empty"
    matRipple 
    [matRippleCentered]="true" 
    [matRippleUnbounded]="false"
    [matRippleRadius]="200"
    [matRippleColor]="'#0070AD33'"
    [routerLink]="['/movie', movie.id]"
    [title]="movie.title"
    >
    <mat-card appearance="outlined">
        <img mat-card-image [src]="getPosterURL()" 
            alt="Capa do filme {{ movie.title }}">
        <mat-card-header>
            <mat-card-title>{{ movie.title }}</mat-card-title>
            <mat-card-subtitle *ngIf="movie.release_date">
                {{ movie.release_date | date:'dd MMM yyyy' | uppercase | replace:'.':''}}
            </mat-card-subtitle>
        </mat-card-header>
    </mat-card>
</a>
<ng-template #empty>
    <mat-card appearance="outlined"></mat-card>
</ng-template>
